> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available margin

> Get max available margin for a given spot instrument.

**Limit 10 requests per 60 seconds**\
Get max available margin for a given spot instrument.  Only supported if the account is in MARGIN mode.

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "symbol": "SPOT_ETH_USDT",
          "availableBaseQuantity": "24.52401647",       // max available quantity of the base token to sell into the quote token
          "availableQuoteQuantity": "15436.45960897"    // max available quantity of the quote token to buy into the base token (i.e. buying power)
      },
      "timestamp": 1696657422118
  }

  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/spotMargin/maxMargin
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/spotMargin/maxMargin:
    get:
      description: Get max available margin for a given spot instrument.
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: symbol
          in: query
          description: Symbol name, applicable to spot instruments only
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMaxMarginResponse'
      security: []
components:
  schemas:
    GetMaxMarginResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                symbol:
                  type: string
                  description: The trading pair symbol, e.g., 'SPOT_ETH_USDT'.
                availableBaseQuantity:
                  type: string
                  description: >-
                    The maximum available quantity of the base token to sell
                    into the quote token.
                availableQuoteQuantity:
                  type: string
                  description: >-
                    The maximum available quantity of the quote token to buy the
                    base token.
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````